Bug 1656227 - Documentation needed for files in /etc/java/security/security.d
Summary: Documentation needed for files in /etc/java/security/security.d
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: javapackages-tools
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-04 23:18 UTC by space88man
Modified: 2019-11-27 21:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 21:09:00 UTC


Attachments (Terms of Use)

Description space88man 2018-12-04 23:18:12 UTC
Description of problem:
The format and purpose of files in /etc/java/security/security.d is not documented


Version-Release number of selected component (if applicable):
javapackages-tools-5.3.0-1.fc29.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install javapackages-tools
2. Install javapackages-filesystems
3. Install bouncycastle

Actual results:
1. New directory /etc/java/security/security.d (from javapackages-*)
2. New empty files: /etc/java/security/security.d/2000-org.bouncycastle.jce.provider.BouncyCastleProvider


Expected results:
Some explanation as to the purpose of this file and the supposed contents.


Additional info:
Is this some artifact of the defunct gcj? What this ever done?

https://lists.fedoraproject.org/archives/list/java-devel@lists.fedoraproject.org/thread/VXLLP7MMC6CKBSBQNTRLZ2RO33H5ZMCC/

"Longer term, my plan is to support security.d in IcedTea/OpenJDK. External security providers would drop config files in /etc/java/security/security.d and JREs that support security.d would automatically load them, in addition to the providers listed in java.security. In the short term -- that is, soon after Fedora 8 is released -- I'll inline rebuild-security-providers in relevant post scripts, and release a new jpackage-utils that doesn't contain the script. While solution 3) will silence rpm's complaints, it won't solve the fact that vanilla jpackage-utils doesn't own /etc/java/security/security.d/. So JPackage users will have to pay attention that applications that run on GCJ and employ external security providers are not adversely affected."

Comment 1 Mikolaj Izdebski 2018-12-05 06:19:29 UTC
We can add documentation for "security.d". In the meantime I am documenting it here:

Purpose: "security.d" is a directory into which packages can drop files that are then combined into "classpath.security" file. GNU Classpath uses this file to configure security-related classes of itself.
Format: Files in "security.d" are Java properties files (basically, key=value pairs). For meaning of particular properties refer to GNU Classpath documentation.

Comment 2 Ben Cotton 2019-10-31 19:56:13 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-11-27 21:09:00 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.